
Robotics Service Bus - Tasks #561
Enhancement # 498 (Closed): Integrate causal vector for events
Implement cause vector in python
09/08/2011 06:11 PM - J. Wienke

Status: Resolved Start date: 09/08/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Python Estimated time: 1.00 hour
Target version: 0.5
Description

Related issues:
Blocked by Robotics Service Bus - Tasks # 564: Implement EventId class for py... Resolved 09/09/2011

Associated revisions
Revision 6558284c - 09/12/2011 03:21 PM - J. Wienke

make EventId hashable

refs #561

Revision 42c62bce - 09/12/2011 03:50 PM - J. Wienke

add cause handling to python

fixes #561

Revision 77ddf26a - 10/20/2011 01:06 AM - J. Moringen
Allow specifying causes when constructing events
refs #561
    -  rsb/__init__.py: allow specifying causes when constructing events

Revision 5a4f1a6e - 10/20/2011 02:22 AM - J. Moringen
Fixed cause vector handling in Event constructor
refs #561
    -  rsb/__init__.py: cause vectors are represented as lists; initialize

  attribute correctly if not supplied in constructor call

History
#1 - 09/12/2011 02:58 PM - J. Wienke
- Status changed from New to In Progress

#2 - 09/12/2011 03:50 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2563.
#3 - 10/27/2011 08:15 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
